import Vue from 'vue'
import Vuex from 'vuex'

// import { EnterpriseInfo } from './store.dto'

Vue.use(Vuex)

export default new Vuex.Store({
  state: {
    acceptJoin: undefined,
    addDep: undefined,
    selectedStaff: undefined,
    selectedDep: undefined
  },
  mutations: {
    setSelectedStaff(state, payload) {
      state.selectedStaff = payload
    },
    setSelectedDep(state, payload) {
      state.selectedDep = payload
    },
    setAcceptJoin(state, payload) {
      state.acceptJoin = payload
    }
  },
  actions: {
  },
  modules: {
  }
})
